/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.users.admin.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Drew Brokke
 */
@ExtendedObjectClassDefinition(category = "users")
@Meta.OCD(
	id = "com.liferay.users.admin.configuration.UserFileUploadsConfiguration",
	localization = "content/Language",
	name = "user-file-uploads-configuration-name"
)
public interface UserFileUploadsConfiguration {

	@Meta.AD(
		deflt = "307200", description = "users-image-maximum-file-size-help",
		name = "maximum-file-size", required = false
	)
	public long imageMaxSize();

	@Meta.AD(
		deflt = "290", description = "users-image-maximum-height-help",
		name = "maximum-height", required = false
	)
	public int imageMaxHeight();

	@Meta.AD(
		deflt = "290", description = "users-image-maximum-width-help",
		name = "maximum-width", required = false
	)
	public int imageMaxWidth();

	@Meta.AD(
		deflt = "true", description = "users-image-check-token-help",
		name = "check-token", required = false
	)
	public boolean imageCheckToken();

	/**
	 * @deprecated As of Athanasius (7.3.x)
	 */
	@Deprecated
	@Meta.AD(
		deflt = "true",
		description = "use-initials-for-default-user-portrait-help",
		name = "use-initials-for-default-user-portrait", required = false
	)
	public boolean imageDefaultUseInitials();

}