/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.users.admin.management.toolbar;

import com.liferay.portal.kernel.util.ArrayUtil;

import java.util.Locale;
import java.util.Map;

/**
 * @author Drew Brokke
 */
public interface FilterContributor {

	public String getDefaultValue();

	public default String[] getFilterLabelValues() {
		return ArrayUtil.filter(
			getValues(), value -> !value.equals(getDefaultValue()));
	}

	public String getLabel(Locale locale);

	public String getManagementToolbarKey();

	public String getParameter();

	public Map<String, Object> getSearchParameters(String currentValue);

	public String getShortLabel(Locale locale);

	public String getValueLabel(Locale locale, String value);

	public String[] getValues();

}